Skip to main content
GET
/
auctions
/
{app_id}
cURL
curl --request GET \
  --url https://api.example.com/auctions/{app_id}
import requests

url = "https://api.example.com/auctions/{app_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/auctions/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "app": {
      "id": "<string>",
      "name": "<string>",
      "kyc_return_url": "<string>",
      "use_explorer": true,
      "permissions": {
        "can_view": true,
        "can_edit": true,
        "can_delete": true,
        "can_edit_members": true
      },
      "app_fee": 123,
      "user": {
        "id": "<string>",
        "username": "<string>",
        "first_name": "<string>",
        "last_name": "<string>"
      },
      "is_member": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "currency": "<string>",
    "currency_conversion": {
      "from_currency": "<string>",
      "from_amount": 1
    },
    "amount": 123,
    "name": "<string>",
    "expired": true,
    "views": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "bids": [
      {
        "id": "<string>",
        "auction": "<unknown>",
        "currency": "<string>",
        "currency_conversion": {
          "from_currency": "<string>",
          "from_amount": 1
        },
        "amount": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "shopper": {
          "id": "<string>",
          "phone_or_email": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "disabled": true
        },
        "payment": {
          "id": "<string>",
          "final_amount": 123,
          "trigger_data_input": {
            "params_data_input": {}
          },
          "transaction_id": "<string>",
          "transaction_url": "<string>",
          "price_item": {
            "currency": "<string>",
            "provider_min_amount_fee": 123,
            "provider_processing_fee_percent": 123,
            "platform_fee": 123,
            "app_fee": 123,
            "amount": 123,
            "amount_total": 123,
            "amount_transaction_fee": 123,
            "amount_app_transaction_fee": 123,
            "amount_platform": 123,
            "amount_seller": 123,
            "amount_app": 123,
            "processing_fee_amount": 123,
            "conversion": {
              "currency": "<string>",
              "exchange": 123,
              "converted_amount": 123,
              "converted_amount_net": 123,
              "amount": 123,
              "amount_total": 123,
              "amount_transaction_fee": 123,
              "amount_app_transaction_fee": 123,
              "amount_platform": 123,
              "amount_seller": 123,
              "amount_app": 123
            }
          },
          "transaction_response": {
            "error": {},
            "near": {
              "output": {}
            },
            "evm": {
              "output": {}
            },
            "wax": {
              "output": {}
            },
            "solana": {
              "output": {}
            }
          },
          "confirmation_status": {
            "average_seconds": 123,
            "progress": 123,
            "confirmed": true,
            "required_confirmations": 123,
            "confirmations": 123
          },
          "app": {
            "id": "<string>",
            "name": "<string>",
            "kyc_return_url": "<string>",
            "use_explorer": true,
            "permissions": {
              "can_view": true,
              "can_edit": true,
              "can_delete": true,
              "can_edit_members": true
            },
            "app_fee": 123,
            "user": {
              "id": "<string>",
              "username": "<string>",
              "first_name": "<string>",
              "last_name": "<string>"
            },
            "is_member": true,
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z"
          },
          "price": {
            "id": "<string>",
            "kyc_id": "<string>",
            "trigger_id": "<string>",
            "currency": "<string>",
            "amount": 123,
            "metadata": {},
            "name": "<string>",
            "expired": true,
            "views": 123,
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z",
            "contract": "<string>",
            "chain": "<string>"
          },
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "payment_token": "<string>"
        }
      }
    ],
    "on_bid_payment_intent": {
      "id": "<string>",
      "kyc_id": "<string>",
      "trigger_id": "<string>",
      "currency": "<string>",
      "amount": 123,
      "metadata": {},
      "name": "<string>",
      "expired": true,
      "views": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "contract": "<string>",
      "chain": "<string>"
    },
    "on_end_payment_intent": {
      "id": "<string>",
      "kyc_id": "<string>",
      "trigger_id": "<string>",
      "currency": "<string>",
      "amount": 123,
      "metadata": {},
      "name": "<string>",
      "expired": true,
      "views": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "contract": "<string>",
      "chain": "<string>"
    }
  }
]

Path Parameters

app_id
string
required

Query Parameters

page
number
default:1
Required range: x >= 1
take
number
default:100
Required range: x >= 1

Response

200 - application/json
id
string
required
app
object
required
currency
string
required
currency_conversion
object | null
required
amount
number
required
name
string | null
required
expired
boolean
required
views
number
required
network_type
enum<string>
required
Available options:
mainnet,
testnet
created_at
string<date-time>
required
updated_at
string<date-time>
required
bids
object[]
on_bid_payment_intent
object
on_end_payment_intent
object